Bug 495073 - RFE: In Place upgrade should handle configuration and schema changes
RFE: In Place upgrade should handle configuration and schema changes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Install/Uninstall (Show other bugs)
8.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 389_1.2.3 639035
  Show dependency treegraph
 
Reported: 2009-04-09 11:53 EDT by Jenny Galipeau
Modified: 2016-05-06 10:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 10:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-04-09 11:53:09 EDT
Description of problem:
Right now an in place upgrade does not include configuration and / or schema changes.  i.e. new plugins do not get automatically added.  

Example:
After upgrade from DS 8.0 to 8.1, the new memberOf and DNA plugins are not available.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
New plugins and supporting schema do not exist.

Expected results:
Complete automatic upgrade

Additional info:
Comment 1 Rich Megginson 2009-09-23 12:09:54 EDT
This is now done with the new update framework in ds-base and ds-admin.  For ds-base without ds-admin, you can use setup-ds.pl -u to update all schema/plugins/configuration, etc.  For ds-admin, setup-ds-admin.pl -u works the same as before, but it also does all of the ds update as well.
Comment 2 Amita Sharma 2011-05-25 07:07:01 EDT
I have recently used setup-ds.pl -u and setup-ds-admin.pl -u for the 0day errata build and yes, It did upgraded my DS completely.

No complains till now, hence marking the bug as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.